Changeset 16598 for gs2build/configure


Ignore:
Timestamp:
2008-07-30T11:23:44+12:00 (16 years ago)
Author:
oranfry
Message:

Tweak to configure and configure.in

File:
1 edited

Legend:

Unmodified
Added
Removed
  • gs2build/configure

    r16589 r16598  
    310310
    311311ac_subdirs_all="$ac_subdirs_all common-src build-src runtime-src"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313313ac_subst_files=''
    314314
     
    865865  --with-micodir          Use installed MICO directory
    866866  --with-gdbm=dir         Use local gdbm library and headers
     867  --with-dmalloc          use dmalloc, as in
     868                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     869  --with-regex            use older regex in lieu of GNU rx for matching
    867870
    868871Some influential environment variables:
     
    39793982fi
    39803983
    3981 fp_C_PROTOTYPES
     3984echo "$as_me:$LINENO: checking for ${CC-cc} option to accept ANSI C" >&5
     3985echo $ECHO_N "checking for ${CC-cc} option to accept ANSI C... $ECHO_C" >&6
     3986if test "${ac_cv_prog_cc_stdc+set}" = set; then
     3987  echo $ECHO_N "(cached) $ECHO_C" >&6
     3988else
     3989  ac_cv_prog_cc_stdc=no
     3990ac_save_CFLAGS="$CFLAGS"
     3991# Don't try gcc -ansi; that turns off useful extensions and
     3992# breaks some systems' header files.
     3993# AIX           -qlanglvl=ansi
     3994# Ultrix and OSF/1  -std1
     3995# HP-UX         -Aa -D_HPUX_SOURCE
     3996# SVR4          -Xc
     3997for ac_arg in "" -qlanglvl=ansi -std1 "-Aa -D_HPUX_SOURCE" -Xc
     3998do
     3999  CFLAGS="$ac_save_CFLAGS $ac_arg"
     4000  cat >conftest.$ac_ext <<_ACEOF
     4001/* confdefs.h.  */
     4002_ACEOF
     4003cat confdefs.h >>conftest.$ac_ext
     4004cat >>conftest.$ac_ext <<_ACEOF
     4005/* end confdefs.h.  */
     4006#if !defined(__STDC__) || __STDC__ != 1
     4007choke me
     4008#endif
     4009
     4010int
     4011main ()
     4012{
     4013int test (int i, double x);
     4014struct s1 {int (*f) (int a);};
     4015struct s2 {int (*f) (double a);};
     4016  ;
     4017  return 0;
     4018}
     4019_ACEOF
     4020rm -f conftest.$ac_objext
     4021if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4022  (eval $ac_compile) 2>conftest.er1
     4023  ac_status=$?
     4024  grep -v '^ *+' conftest.er1 >conftest.err
     4025  rm -f conftest.er1
     4026  cat conftest.err >&5
     4027  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4028  (exit $ac_status); } &&
     4029     { ac_try='test -z "$ac_c_werror_flag"
     4030             || test ! -s conftest.err'
     4031  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4032  (eval $ac_try) 2>&5
     4033  ac_status=$?
     4034  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4035  (exit $ac_status); }; } &&
     4036     { ac_try='test -s conftest.$ac_objext'
     4037  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4038  (eval $ac_try) 2>&5
     4039  ac_status=$?
     4040  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4041  (exit $ac_status); }; }; then
     4042  ac_cv_prog_cc_stdc="$ac_arg"; break
     4043else
     4044  echo "$as_me: failed program was:" >&5
     4045sed 's/^/| /' conftest.$ac_ext >&5
     4046
     4047fi
     4048rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4049done
     4050CFLAGS="$ac_save_CFLAGS"
     4051
     4052fi
     4053
     4054echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
     4055echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
     4056case "x$ac_cv_prog_cc_stdc" in
     4057  x|xno) ;;
     4058  *) CC="$CC $ac_cv_prog_cc_stdc" ;;
     4059esac
     4060
     4061
     4062echo "$as_me:$LINENO: checking for function prototypes" >&5
     4063echo $ECHO_N "checking for function prototypes... $ECHO_C" >&6
     4064if test "$ac_cv_prog_cc_stdc" != no; then
     4065  echo "$as_me:$LINENO: result: yes" >&5
     4066echo "${ECHO_T}yes" >&6
     4067  cat >>confdefs.h <<\_ACEOF
     4068#define PROTOTYPES 1
     4069_ACEOF
     4070
     4071  U= ANSI2KNR=
     4072else
     4073  echo "$as_me:$LINENO: result: no" >&5
     4074echo "${ECHO_T}no" >&6
     4075  U=_ ANSI2KNR=ansi2knr
     4076fi
     4077
    39824078echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
    39834079echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
     
    65296625
    65306626
    6531 fp_WITH_DMALLOC
    6532 fp_WITH_REGEX
     6627echo "$as_me:$LINENO: checking if malloc debugging is wanted" >&5
     6628echo $ECHO_N "checking if malloc debugging is wanted... $ECHO_C" >&6
     6629
     6630# Check whether --with-dmalloc or --without-dmalloc was given.
     6631if test "${with_dmalloc+set}" = set; then
     6632  withval="$with_dmalloc"
     6633  if test "$withval" = yes; then
     6634  echo "$as_me:$LINENO: result: yes" >&5
     6635echo "${ECHO_T}yes" >&6
     6636  cat >>confdefs.h <<\_ACEOF
     6637#define WITH_DMALLOC 1
     6638_ACEOF
     6639
     6640  LIBS="$LIBS -ldmalloc"
     6641  LDFLAGS="$LDFLAGS -g"
     6642else
     6643  echo "$as_me:$LINENO: result: no" >&5
     6644echo "${ECHO_T}no" >&6
     6645fi
     6646else
     6647  echo "$as_me:$LINENO: result: no" >&5
     6648echo "${ECHO_T}no" >&6
     6649fi;
     6650
     6651echo "$as_me:$LINENO: checking which of rx or regex is wanted" >&5
     6652echo $ECHO_N "checking which of rx or regex is wanted... $ECHO_C" >&6
     6653
     6654# Check whether --with-regex or --without-regex was given.
     6655if test "${with_regex+set}" = set; then
     6656  withval="$with_regex"
     6657  if test "$withval" = yes; then
     6658  ac_with_regex=1
     6659  echo "$as_me:$LINENO: result: regex" >&5
     6660echo "${ECHO_T}regex" >&6
     6661  cat >>confdefs.h <<\_ACEOF
     6662#define WITH_REGEX 1
     6663_ACEOF
     6664
     6665  case $LIBOBJS in
     6666    "regex.$ac_objext"   | \
     6667  *" regex.$ac_objext"   | \
     6668    "regex.$ac_objext "* | \
     6669  *" regex.$ac_objext "* ) ;;
     6670  *) LIBOBJS="$LIBOBJS regex.$ac_objext" ;;
     6671esac
     6672
     6673fi
     6674fi;
     6675if test -z "$ac_with_regex"; then
     6676  echo "$as_me:$LINENO: result: rx" >&5
     6677echo "${ECHO_T}rx" >&6
     6678  echo "$as_me:$LINENO: checking for re_rx_search" >&5
     6679echo $ECHO_N "checking for re_rx_search... $ECHO_C" >&6
     6680if test "${ac_cv_func_re_rx_search+set}" = set; then
     6681  echo $ECHO_N "(cached) $ECHO_C" >&6
     6682else
     6683  cat >conftest.$ac_ext <<_ACEOF
     6684/* confdefs.h.  */
     6685_ACEOF
     6686cat confdefs.h >>conftest.$ac_ext
     6687cat >>conftest.$ac_ext <<_ACEOF
     6688/* end confdefs.h.  */
     6689/* Define re_rx_search to an innocuous variant, in case <limits.h> declares re_rx_search.
     6690   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
     6691#define re_rx_search innocuous_re_rx_search
     6692
     6693/* System header to define __stub macros and hopefully few prototypes,
     6694    which can conflict with char re_rx_search (); below.
     6695    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     6696    <limits.h> exists even on freestanding compilers.  */
     6697
     6698#ifdef __STDC__
     6699# include <limits.h>
     6700#else
     6701# include <assert.h>
     6702#endif
     6703
     6704#undef re_rx_search
     6705
     6706/* Override any gcc2 internal prototype to avoid an error.  */
     6707#ifdef __cplusplus
     6708extern "C"
     6709{
     6710#endif
     6711/* We use char because int might match the return type of a gcc2
     6712   builtin and then its argument prototype would still apply.  */
     6713char re_rx_search ();
     6714/* The GNU C library defines this for functions which it implements
     6715    to always fail with ENOSYS.  Some functions are actually named
     6716    something starting with __ and the normal name is an alias.  */
     6717#if defined (__stub_re_rx_search) || defined (__stub___re_rx_search)
     6718choke me
     6719#else
     6720char (*f) () = re_rx_search;
     6721#endif
     6722#ifdef __cplusplus
     6723}
     6724#endif
     6725
     6726int
     6727main ()
     6728{
     6729return f != re_rx_search;
     6730  ;
     6731  return 0;
     6732}
     6733_ACEOF
     6734rm -f conftest.$ac_objext conftest$ac_exeext
     6735if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6736  (eval $ac_link) 2>conftest.er1
     6737  ac_status=$?
     6738  grep -v '^ *+' conftest.er1 >conftest.err
     6739  rm -f conftest.er1
     6740  cat conftest.err >&5
     6741  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6742  (exit $ac_status); } &&
     6743     { ac_try='test -z "$ac_c_werror_flag"
     6744             || test ! -s conftest.err'
     6745  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6746  (eval $ac_try) 2>&5
     6747  ac_status=$?
     6748  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6749  (exit $ac_status); }; } &&
     6750     { ac_try='test -s conftest$ac_exeext'
     6751  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6752  (eval $ac_try) 2>&5
     6753  ac_status=$?
     6754  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6755  (exit $ac_status); }; }; then
     6756  ac_cv_func_re_rx_search=yes
     6757else
     6758  echo "$as_me: failed program was:" >&5
     6759sed 's/^/| /' conftest.$ac_ext >&5
     6760
     6761ac_cv_func_re_rx_search=no
     6762fi
     6763rm -f conftest.err conftest.$ac_objext \
     6764      conftest$ac_exeext conftest.$ac_ext
     6765fi
     6766echo "$as_me:$LINENO: result: $ac_cv_func_re_rx_search" >&5
     6767echo "${ECHO_T}$ac_cv_func_re_rx_search" >&6
     6768if test $ac_cv_func_re_rx_search = yes; then
     6769  :
     6770else
     6771  case $LIBOBJS in
     6772    "rx.$ac_objext"   | \
     6773  *" rx.$ac_objext"   | \
     6774    "rx.$ac_objext "* | \
     6775  *" rx.$ac_objext "* ) ;;
     6776  *) LIBOBJS="$LIBOBJS rx.$ac_objext" ;;
     6777esac
     6778
     6779fi
     6780
     6781fi
     6782
    65336783
    65346784# ---------------------------------------------------------------------------
     
    67216971
    67226972
    6723 
    6724 echo "$as_me:$LINENO: checking that Perl 5 is available" >&5
    6725 echo $ECHO_N "checking that Perl 5 is available... $ECHO_C" >&6
    6726 success="no"
    6727 pl_path="$PATH"
    6728 IFS="${IFS=   }"; pl_save_ifs="$IFS"; IFS=":"
    6729 for pl_dir in $pl_path; do
    6730   test -z "$pl_dir" && pl_dir=.
    6731   if test -x $pl_dir/perl; then
    6732     success="yes"
    6733     break
    6734   fi
    6735 done
    6736 IFS="$pl_save_ifs"
    6737 
    6738 if test $success = "yes"; then
    6739 try=`perl configtest.pl` || try="0"
    6740 try=`expr $try \> 5.000`
    6741 if test $try = "1"; then
    6742 echo "$as_me:$LINENO: result: \"yes\"" >&5
    6743 echo "${ECHO_T}\"yes\"" >&6
    6744 else
    6745 success="no"
    6746 fi
    6747 fi
    6748 
    6749 if test $success = "no"; then
    6750 echo "$as_me:$LINENO: result: \"no\"" >&5
    6751 echo "${ECHO_T}\"no\"" >&6
    6752 { { echo "$as_me:$LINENO: error: \"Perl 5 not available - cannot install\"" >&5
    6753 echo "$as_me: error: \"Perl 5 not available - cannot install\"" >&2;}
    6754    { (exit 1); exit 1; }; }
    6755 fi
    67566973
    67576974success=no
     
    71757392moduleDirs=""
    71767393MODULEDIRS=""
    7177 if  -d modules ; then
     7394if test -d modules ; then
    71787395  for x in `find modules -mindepth 1 -maxdepth 2`; do
    71797396    if test -d "$x"; then
     
    78638080s,@CPP@,$CPP,;t t
    78648081s,@EGREP@,$EGREP,;t t
     8082s,@U@,$U,;t t
     8083s,@ANSI2KNR@,$ANSI2KNR,;t t
    78658084s,@ALLOCA@,$ALLOCA,;t t
    78668085s,@LIBOBJS@,$LIBOBJS,;t t
Note: See TracChangeset for help on using the changeset viewer.